org.apache.maven.scm.command.blame

## Class BlameLine

- java.lang.Object
- - org.apache.maven.scm.command.blame.BlameLine

All Implemented Interfaces:
  Serializable

    public class BlameLine
    extends Object
    implements Serializable

Since:
  1.4
Author:
  Evgeny Mandrikov
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BlameLine(Date date, String revision, String author)`
`BlameLine(Date date, String revision, String author, String committer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuthor()`
`String` `getCommitter()`
`Date` `getDate()`
`String` `getRevision()`
`void` `setAuthor(String author)`
`void` `setCommitter(String committer)`
`void` `setDate(Date date)`
`void` `setRevision(String revision)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BlameLine

    public BlameLine(Date date,
                     String revision,
                     String author)

Parameters:
  `date` - of the commit
  `revision` - of the commit
  `author` - will also be used as committer identification

#### BlameLine

    public BlameLine(Date date,
                     String revision,
                     String author,
                     String committer)

Parameters:
  `date` - of the commit
  `revision` - of the commit
  `author` - the person who wrote the line
  `committer` - the person who committed the change

### Method Detail

#### getRevision

    public String getRevision()

#### setRevision

    public void setRevision(String revision)

#### getAuthor

    public String getAuthor()

#### setAuthor

    public void setAuthor(String author)

#### getCommitter

    public String getCommitter()

#### setCommitter

    public void setCommitter(String committer)

#### getDate

    public Date getDate()

Returns:
  the commit date

#### setDate

    public void setDate(Date date)